Package ru.bitel.bgbilling.kernel.tariff.common.service

# Interface TariffService

public interface TariffService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getTariffLabelIds(int tariffPlanId)`
  `List<TariffLabelItem>`
  `getTariffLabelTreeItemList(int tariffPlanId)`
  `List<TariffPlan>`
  `getTariffListByLabelId(int labelId)`
  `void`
  `removeTariffLabelTreeItem(int tariffLabelItemId)`
  `SearchResult<TariffPlan>`
  `searchTariffPlans(List<Integer> labelIds, List<Integer> moduleIds, int showUsed, Page page)`
  `void`
  `setTariffLabelTreeItemList(int tariffPlanId, List<TariffLabelItem> items)`
  `void`
  `tariffGroupDelete(int id)`
  Удаление группы тарифов по его ID.
  `TariffGroup`
  `tariffGroupGet(int id)`
  Получение группы тарифов по его ID.
  `List<TariffGroup>`
  `tariffGroupList()`
  Получение списка групп тарифных планов.
  `int`
  `tariffGroupUpdate(TariffGroup tariffGroup)`
  Изменение/добавление группы тарифов.
  `List<IdTitle>`
  `tariffModulesList()`
  Список модулей для которых может быть определено тарифное дерево
  `void`
  `tariffPlanDelete(int id)`
  Удаление тарифного плана по его ID.
  `TariffPlan`
  `tariffPlanGet(int id)`
  Получение тарифного плана по его ID.
  `List<TariffPlan>`
  `tariffPlanList(List<Integer> contractLabelIds, Integer personType, String title)`
  Получение списка тарифных планов.
  `List<IdTitle>`
  `tariffPlanTitles()`
  Список всех тарифов
  `List<IdTitle>`
  `tariffPlanTitlesByIds(List<Integer> tariffIds)`
  `int`
  `tariffPlanUpdate(TariffPlan tariffPlan)`
  Изменение/добавление тарифного плана.
  `int`
  `tariffVarDelete(int tariffVarId)`
  `TariffVar`
  `tariffVarGet(int tariffVarId)`
  `List<IdTitle>`
  `tariffVarListItems(int moduleId, String varTypeCode)`
  `List<TariffVar>`
  `tariffVars(TariffVarType tariffVarType, List<Integer> tariffPlanIds)`
  `int`
  `tariffVarUpdate(TariffVar tariffVar)`
  `int`
  `tariffVarValueDelete(TariffVarValue tariffVarValue)`
  `SearchResult<TariffVarValue>`
  `tariffVarValues(int tariffVarId, Page page)`
  `void`
  `tariffVarValueSet(TariffVarValue tariffVarValue)`
  `int`
  `updateTariffLabelTreeItem(TariffLabelItem tariffLabelItem)`

- ## Method Details

  - ### searchTariffPlans

    SearchResult<TariffPlan> searchTariffPlans(List<Integer> labelIds, List<Integer> moduleIds, int showUsed, Page page) throws Exception
    Throws:
      `Exception`

  - ### tariffPlanGet

    TariffPlan tariffPlanGet(int id) throws Exception
    Получение тарифного плана по его ID.
    Parameters:
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### tariffPlanDelete

    void tariffPlanDelete(int id) throws Exception
    Удаление тарифного плана по его ID.
    Parameters:
      `id` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### tariffPlanUpdate

    int tariffPlanUpdate(TariffPlan tariffPlan) throws Exception
    Изменение/добавление тарифного плана.
    Parameters:
      `tariffPlan` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### tariffPlanList

    List<TariffPlan> tariffPlanList(List<Integer> contractLabelIds, Integer personType, String title) throws Exception
    Получение списка тарифных планов.
    Parameters:
      `contractLabelIds` - фильтр по группе договоров
      `title` - подстрока названия тарифа
      `face` - фильтр по юр. или физю лицам
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### tariffPlanTitles

    List<IdTitle> tariffPlanTitles() throws Exception
    Список всех тарифов
    Returns:

  - ### tariffPlanTitlesByIds

    List<IdTitle> tariffPlanTitlesByIds(List<Integer> tariffIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffGroupGet

    TariffGroup tariffGroupGet(int id) throws Exception
    Получение группы тарифов по его ID.
    Parameters:
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### tariffGroupDelete

    void tariffGroupDelete(int id) throws Exception
    Удаление группы тарифов по его ID.
    Parameters:
      `id` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### tariffGroupUpdate

    int tariffGroupUpdate(TariffGroup tariffGroup) throws Exception
    Изменение/добавление группы тарифов.
    Parameters:
      `tariffGroup` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### tariffGroupList

    List<TariffGroup> tariffGroupList() throws Exception
    Получение списка групп тарифных планов.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### tariffVars

    List<TariffVar> tariffVars(TariffVarType tariffVarType, List<Integer> tariffPlanIds) throws Exception
    Throws:
      `Exception`

  - ### tariffVarGet

    TariffVar tariffVarGet(int tariffVarId) throws Exception
    Throws:
      `Exception`

  - ### tariffVarUpdate

    int tariffVarUpdate(TariffVar tariffVar) throws Exception
    Throws:
      `Exception`

  - ### tariffVarDelete

    int tariffVarDelete(int tariffVarId) throws Exception
    Throws:
      `Exception`

  - ### tariffVarListItems

    List<IdTitle> tariffVarListItems(int moduleId, String varTypeCode) throws Exception
    Throws:
      `Exception`

  - ### tariffVarValues

    SearchResult<TariffVarValue> tariffVarValues(int tariffVarId, Page page) throws Exception
    Throws:
      `Exception`

  - ### tariffVarValueSet

    void tariffVarValueSet(TariffVarValue tariffVarValue) throws Exception
    Throws:
      `Exception`

  - ### tariffVarValueDelete

    int tariffVarValueDelete(TariffVarValue tariffVarValue) throws Exception
    Throws:
      `Exception`

  - ### getTariffLabelTreeItemList

    List<TariffLabelItem> getTariffLabelTreeItemList(int tariffPlanId) throws Exception
    Throws:
      `Exception`

  - ### setTariffLabelTreeItemList

    void setTariffLabelTreeItemList(int tariffPlanId, List<TariffLabelItem> items) throws Exception
    Throws:
      `Exception`

  - ### updateTariffLabelTreeItem

    int updateTariffLabelTreeItem(TariffLabelItem tariffLabelItem) throws Exception
    Throws:
      `Exception`

  - ### getTariffLabelIds

    Set<Integer> getTariffLabelIds(int tariffPlanId) throws Exception
    Throws:
      `Exception`

  - ### removeTariffLabelTreeItem

    void removeTariffLabelTreeItem(int tariffLabelItemId) throws Exception
    Throws:
      `Exception`

  - ### getTariffListByLabelId

    List<TariffPlan> getTariffListByLabelId(int labelId) throws Exception
    Parameters:
      `labelId` - ID метки тарифа
    Returns:
      список тарифов на которых есть переданная метка
    Throws:
      `Exception`

  - ### tariffModulesList

    List<IdTitle> tariffModulesList() throws Exception
    Список модулей для которых может быть определено тарифное дерево
    Returns:
    Throws:
      `Exception`